SessionHandler::gc
SessionHandler::read
SessionHandler
PHP Manual

# SessionHandler::open

(PHP 5 >= 5.4.0)

SessionHandler::open — Initialize session

### Description

public bool SessionHandler::open ( string `$save_path` , string `$session_id` )

Create new session, or re-initialize existing session. Called internally by PHP when a session starts either automatically or when session_start() is invoked.

This method wraps the internal PHP save handler defined in the session.save_handler ini setting that was set before this handler was set by session_set_save_handler().

If this class is extended by inheritiance, calling the parent `open` method will invoke the wrapper for this method and therefor invoke the associated internal callback. This allows this method to be overidden and or intercepted and filtered.

For more information on what this method is expected to do, please refer to the documentation at SessionHandlerInterface::open().

### Parameters

`save_path`

  The path where to store/retrieve the session.

`session_id`

  The session id.

### Return Values

The return value (usually `TRUE` on success, `FALSE` on failure). Note this value is returned internally to PHP for processing.

### See Also

- The session.auto-start configuration directive.

SessionHandler::gc
SessionHandler::read
SessionHandler
PHP Manual